Get all formula plans

get

/crmRestApi/resources/11.13.18.05/subscriptionFormulaPlans

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • FormulaPlansPuidAltKey Finds the formula plan with the specified alternate key.
      Finder Variables
      • FormulaPlanPuid; string; The public unique identifier of the formula plan.
    • PrimaryKey Finds the formula plan with the specified primary key.
      Finder Variables
      • FormulaPlanId; integer; The unique identifier of the formula plan.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • CreatedBy; string; Indicates the user who created the row.
    • CreationDate; string; The date when the record was created.
    • FormulaPlanId; integer; The unique identifier of the formula plan.
    • FormulaPlanPuid; string; The public unique identifier of the formula plan.
    • LastUpdateDate; string; The date when the record was last updated.
    • LastUpdateLogin; string; The login identifier used for the last update.
    • LastUpdatedBy; string; Indicates the user who last updated the row.
    • PriceListId; integer; The unique identifier of the price list used for the formula plan.
    • PriceListItemId; integer; The unique identifier of the price list item associated with the rate plan.
    • RatePlanId; integer; The unique identifier of the rate plan associated with the formula plan.
    • Status; string; The status of the formula plan.
    • VersionNumber; integer; The version number of the formula plan.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : subscriptionFormulaPlans
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : subscriptionFormulaPlans-item-response
Type: object
Show Source
Nested Schema : Formula Charges
Type: array
Title: Formula Charges
The Formula Plan Charge resource lets you view, create, update and delete formula plan charges. Formula plan charges are collections of business entities that store reusable formulas used to derive calculation values.
Show Source
Nested Schema : Formula Rate Variables
Type: array
Title: Formula Rate Variables
The formula rates resources lets you view, create, delete, and update formula rates. Formula rates are collections of business entities that store reusable formulas used to derive calculation values.
Show Source
Nested Schema : Formula Steps
Type: array
Title: Formula Steps
A formula step represents a unit of logic within a formula plan that defines how a value is calculated or derived during pricing.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaPlanCharges-item-response
Type: object
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-item-response
Type: object
Show Source
Nested Schema : Tier Headers VO
Type: array
Title: Tier Headers VO
Formula rate tiers are collections of business entities. They store reusable formulas used to derive calculation values.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-item-response
Type: object
Show Source
Nested Schema : Tier Lines VO
Type: array
Title: Tier Lines VO
Formula rate tier lines define the individual tier ranges and calculation values within a formula rate tier.
Show Source
Nested Schema : subscriptionFormulaPlans-formulaRates-formulaRateTiers-formulaRateTierLines-item-response
Type: object
Show Source
Nested Schema : subscriptionFormulaPlans-formulaSteps-item-response
Type: object
Show Source
Back to Top